package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_app_order;
import com.realnet.vpspack.Services.Visa_app_orderService ;






@RequestMapping(value = "/Visa_app_order")
 @CrossOrigin("*") 
@RestController
public class Visa_app_orderController {
	@Autowired
	private Visa_app_orderService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Visa_app_order")
		  public Visa_app_order Savedata(@RequestBody Visa_app_order data) {
		Visa_app_order save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_app_order/{id}")
	public  Visa_app_order update(@RequestBody Visa_app_order data,@PathVariable Integer id ) {
		Visa_app_order update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_app_order/getall/page")
	public Page<Visa_app_order> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_app_order> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_app_order")
	public List<Visa_app_order> getdetails() {
		 List<Visa_app_order> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_app_order")
	public List<Visa_app_order> getallwioutsec() {
		 List<Visa_app_order> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_app_order/{id}")
	public  Visa_app_order  getdetailsbyId(@PathVariable Integer id ) {
		Visa_app_order  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_app_order/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}